%define majver %(echo %version | cut -d. -f1-2)

Name:          libksysguard
Version:       5.6.0
Release:       1mamba
Summary:       KDE Frameworks 5 sysguard library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{version}/libksysguard-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXres-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 sysguard library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package helper
Group:         Graphical Desktop/Applications/Utilities
Summary:       KDE Frameworks 5 libsysguard dbus helper
Conflicts:     kde-workspace
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description helper
KDE Frameworks 5 sysguard library.
This package contains the dbus enabled helper.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n %{name}
/sbin/ldconfig
exit 0

%postun -n %{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_libdir}/libksgrd.so.*
%{_libdir}/libksignalplotter.so.*
%{_libdir}/liblsofui.so.*
%{_libdir}/libprocesscore.so.*
%{_libdir}/libprocessui.so.*
%doc COPYING COPYING.LIB

%files devel
%defattr(-,root,root)
%dir %{_includedir}/ksysguard
%dir %{_includedir}/ksysguard/ksgrd
%{_includedir}/ksysguard/ksgrd/*.h
%{_includedir}/ksysguard/ksignalplotter.h
%{_includedir}/ksysguard/lsof.h
%dir %{_includedir}/ksysguard/processcore
%{_includedir}/ksysguard/processcore/*.h
%dir %{_includedir}/ksysguard/processui
%{_includedir}/ksysguard/processui/*
%dir %{_kde5_libdir}/cmake/KF5SysGuard
%{_kde5_libdir}/cmake/KF5SysGuard/KF5SysGuard*.cmake
%{_libdir}/libksgrd.so
%{_libdir}/libksignalplotter.so
%{_libdir}/liblsofui.so
%{_libdir}/libprocesscore.so
%{_libdir}/libprocessui.so

%files helper
%defattr(-,root,root)
%{_sysconfdir}/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%{_datadir}/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%{_libexecdir}/kf5/kauth/ksysguardprocesslist_helper
%{_datadir}/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy
%dir %{_datadir}/ksysguard
%dir %{_datadir}/ksysguard/scripts
%{_datadir}/ksysguard/scripts/README
%dir %{_datadir}/ksysguard/scripts/smaps
%{_datadir}/ksysguard/scripts/smaps/*

%changelog
* Sun Mar 27 2016 Automatic Build System <autodist@mambasoft.it> 5.6.0-1mamba
- automatic version update by autodist

* Wed Jan 27 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 5.5.3-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.2-1mamba
- package created using the webbuild interface
